# Class THandleIdentifier

java.lang.Object
com.databricks.jdbc.model.client.thrift.generated.THandleIdentifier

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Comparable<THandleIdentifier>`, `org.apache.thrift.TBase<THandleIdentifier,THandleIdentifier._Fields>`, `org.apache.thrift.TSerializable`

@Generated(value="Autogenerated by Thrift Compiler (0.19.0)", date="2025-05-08") public class THandleIdentifier extends Object implements org.apache.thrift.TBase<THandleIdentifier,THandleIdentifier._Fields>, Serializable, Cloneable, Comparable<THandleIdentifier>

See Also:
  - Serialized Form

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static enum`
`THandleIdentifier._Fields`
The set of fields this struct contains, along with convenience methods for finding and manipulating them.

## Field Summary

Fields
Modifier and Type
Field
Description
`ByteBuffer`
`guid`
`static final Map<THandleIdentifier._Fields,org.apache.thrift.meta_data.FieldMetaData>`
`metaDataMap`
`ByteBuffer`
`secret`

## Constructor Summary

Constructors
Constructor
Description
`THandleIdentifier()`
`THandleIdentifier(THandleIdentifier other)`
Performs a deep copy on other.
`THandleIdentifier(ByteBuffer guid, ByteBuffer secret)`

## Method Summary

Modifier and Type
Method
Description
`ByteBuffer`
`bufferForGuid()`
`ByteBuffer`
`bufferForSecret()`
`void`
`clear()`
`int`
`compareTo(THandleIdentifier other)`
`THandleIdentifier`
`deepCopy()`
`boolean`
`equals(THandleIdentifier that)`
`boolean`
`equals(Object that)`
`THandleIdentifier._Fields`
`fieldForId(int fieldId)`
`Object`
`getFieldValue(THandleIdentifier._Fields field)`
`byte[]`
`getGuid()`
`byte[]`
`getSecret()`
`int`
`hashCode()`
`boolean`
`isSet(THandleIdentifier._Fields field)`
Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
`boolean`
`isSetGuid()`
Returns true if field guid is set (has been assigned a value) and false otherwise
`boolean`
`isSetSecret()`
Returns true if field secret is set (has been assigned a value) and false otherwise
`void`
`read(org.apache.thrift.protocol.TProtocol iprot)`
`void`
`setFieldValue(THandleIdentifier._Fields field, Object value)`
`THandleIdentifier`
`setGuid(byte[] guid)`
`THandleIdentifier`
`setGuid(ByteBuffer guid)`
`void`
`setGuidIsSet(boolean value)`
`THandleIdentifier`
`setSecret(byte[] secret)`
`THandleIdentifier`
`setSecret(ByteBuffer secret)`
`void`
`setSecretIsSet(boolean value)`
`String`
`toString()`
`void`
`unsetGuid()`
`void`
`unsetSecret()`
`void`
`validate()`
`void`
`write(org.apache.thrift.protocol.TProtocol oprot)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### guid

public ByteBuffer guid

### secret

public ByteBuffer secret

### metaDataMap

public static final Map<THandleIdentifier._Fields,org.apache.thrift.meta_data.FieldMetaData> metaDataMap

## Constructor Details

### THandleIdentifier

public THandleIdentifier()

### THandleIdentifier

public THandleIdentifier(ByteBuffer guid, ByteBuffer secret)

### THandleIdentifier

public THandleIdentifier(THandleIdentifier other)
Performs a deep copy on other.

## Method Details

### deepCopy

public THandleIdentifier deepCopy()

Specified by:
  `deepCopy` in interface `org.apache.thrift.TBase<THandleIdentifier,THandleIdentifier._Fields>`

### clear

public void clear()

Specified by:
  `clear` in interface `org.apache.thrift.TBase<THandleIdentifier,THandleIdentifier._Fields>`

### getGuid

public byte[] getGuid()

### bufferForGuid

public ByteBuffer bufferForGuid()

### setGuid

public THandleIdentifier setGuid(byte[] guid)

### setGuid

public THandleIdentifier setGuid(ByteBuffer guid)

### unsetGuid

public void unsetGuid()

### isSetGuid

public boolean isSetGuid()
Returns true if field guid is set (has been assigned a value) and false otherwise

### setGuidIsSet

public void setGuidIsSet(boolean value)

### getSecret

public byte[] getSecret()

### bufferForSecret

public ByteBuffer bufferForSecret()

### setSecret

public THandleIdentifier setSecret(byte[] secret)

### setSecret

public THandleIdentifier setSecret(ByteBuffer secret)

### unsetSecret

public void unsetSecret()

### isSetSecret

public boolean isSetSecret()
Returns true if field secret is set (has been assigned a value) and false otherwise

### setSecretIsSet

public void setSecretIsSet(boolean value)

### setFieldValue

public void setFieldValue(THandleIdentifier._Fields field, Object value)

Specified by:
  `setFieldValue` in interface `org.apache.thrift.TBase<THandleIdentifier,THandleIdentifier._Fields>`

### getFieldValue

public Object getFieldValue(THandleIdentifier._Fields field)

Specified by:
  `getFieldValue` in interface `org.apache.thrift.TBase<THandleIdentifier,THandleIdentifier._Fields>`

### isSet

public boolean isSet(THandleIdentifier._Fields field)
Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise

Specified by:
  `isSet` in interface `org.apache.thrift.TBase<THandleIdentifier,THandleIdentifier._Fields>`

### equals

public boolean equals(Object that)

Overrides:
  `equals` in class `Object`

### equals

public boolean equals(THandleIdentifier that)

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### compareTo

public int compareTo(THandleIdentifier other)

Specified by:
  `compareTo` in interface `Comparable<THandleIdentifier>`

### fieldForId

public THandleIdentifier._Fields fieldForId(int fieldId)

Specified by:
  `fieldForId` in interface `org.apache.thrift.TBase<THandleIdentifier,THandleIdentifier._Fields>`

### read

public void read(org.apache.thrift.protocol.TProtocol iprot) throws org.apache.thrift.TException

Specified by:
  `read` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

### write

public void write(org.apache.thrift.protocol.TProtocol oprot) throws org.apache.thrift.TException

Specified by:
  `write` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### validate

public void validate() throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`